CVE-2007-2231

NameCVE-2007-2231
DescriptionDirectory traversal vulnerability in index/mbox/mbox-storage.c in Dovecot before 1.0.rc29, when using the zlib plugin, allows remote attackers to read arbitrary gzipped (.gz) mailboxes (mbox files) via a .. (dot dot) sequence in the mailbox name.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1359-1
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dovecot (PTS)wheezy, wheezy (security)1:2.1.7-7+deb7u1fixed
jessie (security), jessie1:2.2.13-12~deb8u3fixed
stretch1:2.2.27-3+deb9u1fixed
buster1:2.2.32-2fixed
sid1:2.2.33.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dovecotsource(unstable)1.0.rc29-1medium
dovecotsourceetch1.0.rc15-2etch1mediumDSA-1359-1
dovecotsourcesarge(not affected)

Notes

[sarge] - dovecot <not-affected> (Vulnerable code not present)

Search for package or bug name: Reporting problems